Lavalite package that provides newproduct management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/newproduct`.

    "litecms/newproduct": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Newproduct\Providers\NewproductServiceProvider::class,

And also add it to alias

    'Newproduct'  => Litecms\Newproduct\Facades\Newproduct::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\NewproductTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Newproduct\Providers\NewproductServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Newproduct\Providers\NewproductServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Newproduct\Providers\NewproductServiceProvider" --tag="view"


## Usage


